edu.ucsb.nceas.metacat.admin.upgrade

## Class UpdateDOI

- java.lang.Object
- - edu.ucsb.nceas.metacat.admin.upgrade.UpdateDOI

- All Implemented Interfaces:
    UpgradeUtilityInterface

      public class UpdateDOI
      extends java.lang.Object
      implements UpgradeUtilityInterface

  Updates existing DOI registrations for EML versions
  Author:
    leinfelder, walker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateDOI()` Public constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getServerLocation()`
    `void` | `setServerLocation(int serverLocation)`
    `boolean` | `upgrade()` Update the DOI registration of all ids in this server with EML formatIds
    `boolean` | `upgradeByFormatId(java.util.List<java.lang.String> formatIds)` Update the registration of all DOIs in this server with the specified formatId
    `boolean` | `upgradeById(java.util.List<java.lang.String> ids)` Update the registration of all DOIs with the specified guids in this server

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateDOI

          public UpdateDOI()
                    throws java.lang.Exception

      Public constructor
      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getServerLocation

          public int getServerLocation()

    - #### setServerLocation

          public void setServerLocation(int serverLocation)

    - #### upgrade

          public boolean upgrade()
                          throws AdminException

      Update the DOI registration of all ids in this server with EML formatIds
      Specified by:
        `upgrade` in interface `UpgradeUtilityInterface`
      Throws:
        `AdminException`

    - #### upgradeById

          public boolean upgradeById(java.util.List<java.lang.String> ids)
                              throws AdminException

      Update the registration of all DOIs with the specified guids in this server
      Parameters:
        `ids` - - a List of DOIs to update
      Throws:
        `AdminException`

    - #### upgradeByFormatId

          public boolean upgradeByFormatId(java.util.List<java.lang.String> formatIds)
                                    throws AdminException

      Update the registration of all DOIs in this server with the specified formatId
      Parameters:
        `formatIds` - - a List of formatIDs used to filter DOI selection
      Throws:
        `AdminException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.